
QGIS Application - Bug report #11580

Cannot edit shapefiles created in older versions of QGIS

2014-11-06 05:27 AM - Thomas Wyse

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.6.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 19841

Description

I can only edit shapefiles created with version 2.6.  Old projects load correctly, but shapefiles can't be edited.

History

#1 - 2014-11-06 06:29 AM - Giovanni Manghi

- Status changed from Open to Feedback

please attach a sample project with data to allow us make tests.

#2 - 2014-11-09 09:30 PM - Nicolas Cadieux

I had this problem with shape files created in AutoCAD 2013.  These layers only had 3 associated files each and not the usual 4 or 5.  Solved it by doing a

"save as". Then the shape file could be edited. Could this be the source of the problem?

#3 - 2015-01-10 01:45 PM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Feedback to Closed

You probably exported from AutoCAD without attributes.  Shapefiles without attributes are readonly in OGR.
